000010*@M	       MAIN
000020 IDENTIFICATION DIVISION.
000030 PROGRAM-ID. PRINTSCR.
000040 DATE-COMPILED.
000050* ------------------------: Demos Pintscreen  APIs
000060* 			:
000070*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000080 ENVIRONMENT DIVISION.
000090*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000100 CONFIGURATION SECTION.
000110 SOURCE-COMPUTER. IBM-PC.
000120 OBJECT-COMPUTER. IBM-PC.
000130*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000140 DATA DIVISION.
000150*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000160 WORKING-STORAGE SECTION.
       01  V--VERSION-LEVEL PIC 9(3) VALUE 14.
000180 01  PROGRAM-NAME 		    PIC X(8) VALUE 'PRINTSCR'.
000190*
000200* 			: Copy the panels for the TEST
000210	       COPY PRTSCRNM.
000220	       COPY PRTSCRNP.
000230* 			:
000240	       COPY WIN32API.
000250	       COPY PRTSCRN.
000260	       COPY GSPRTDEF.
000270*
000280*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000290 PROCEDURE DIVISION.
000300*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000310*
000320	   PERFORM 0001-INITIALIZE-GS.
000330	   SET PRTSCRN-PARMS-INITIALIZE TO TRUE
000340	   SET P-WINDOW-ON P-CLIENT-OFF P-DESKTOP-OFF TO TRUE
000350*
000360* ------------------------: Display the test panel.
000370*
000380	   PERFORM WITH TEST AFTER
000390		 UNTIL PRTSCRNP-EVENT-CLOSE-AND-STOP
000400		 OR PRTSCRNP-CANCEL
000410*
000420	     CALL 'GS' USING PRTSCRNP-1
000430			     PRTSCRNP-2
000440			     PRTSCRNP-3
000450			     PRTSCRNP-4
000460	     EVALUATE TRUE
000470*
000480* 			:---------------------------------------
000490* ------------------------: Demo the use of the Print Screen API
000500* 			:---------------------------------------
000510	       WHEN PRTSCRNP-LANUCH
000520		 MOVE P-DEVICE TO PRTSCRN-PRINTER-NAME
000530		 MOVE PRTSCRNP-HWND TO PRTSCRN-WINDOW-HWND
000540* 			:
000550		 SET FUNC-PRINTSCREEN TO TRUE
000560		 IF P-WINDOW-ON
000570		   SET PRTSCRN-OS-ENTIRE-PANEL TO TRUE
000580		 END-IF
000590		 IF P-CLIENT-ON
000600		   SET PRTSCRN-OS-PANEL-CLIENT-AREA TO TRUE
000610		 END-IF
000620		 IF P-DESKTOP-ON
000630		   SET PRTSCRN-OS-ENTIRE-DESKTOP TO TRUE
000640		 END-IF
000650		 SET PRTSCRN-COMPAT-DEFAULT TO TRUE
000660		 IF FORCE-OLDDRIVER-ON
000670		   SET PRTSCRN-COMPAT-OLDDRIVER TO TRUE
000680		 END-IF
000690		 CALL 'GSWINAPI' USING WIN32API-PARMS
000700				       PRTSCRN-PARMS
000710				       GS-DEVMODE-DATA
000720				       WIN32API-C
000730				       WIN32API-D
000740				       WIN32API-E
000750				       WIN32API-F
000760		 MOVE PRTSCRN-PRINTER-NAME TO P-DEVICE
000770	     END-EVALUATE
000780*
000790	   END-PERFORM.
000800*
000810* ------------------------: Close the main before doing a STOP RUN
000820*
000830	   SET PRTSCRNM-DO-CLOSE TO TRUE.
000840	   CALL 'GS' USING PRTSCRNM-1
000850			   PRTSCRNM-2
000860			   PRTSCRNM-3
000870			   PRTSCRNM-4.
000880	   STOP RUN.
000890*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000900* -====-
000910 0001-INITIALIZE-GS.
000920* 			:---------------------------------------
000930* ------------------------: Open the application window (the
000940* 			: container for this application)
000950* 			:---------------------------------------
000960*
000970	   CALL 'GS' USING PRTSCRNM-1
000980			   PRTSCRNM-2
000990			   PRTSCRNM-3
001000			   PRTSCRNM-4.
